﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-$year$ Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion
using System;
using HeuristicLab.Common;
using HeuristicLab.Core;

namespace HeuristicLab.ExpressionGenerator {

  public class PointDistribution : Item, IRandom {
    private double value;
    public PointDistribution() : base() { }

    public PointDistribution(PointDistribution original, Cloner cloner) : base(original, cloner) {
      value = original.value;
    }

    public PointDistribution(double value) {
      this.value = value;
    }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new PointDistribution(this, cloner);
    }

    public void Reset() {
    }

    public void Reset(int seed) {
    }

    public int Next() {
      throw new NotSupportedException();
    }

    public int Next(int maxVal) {
      throw new NotSupportedException();
    }

    public int Next(int minVal, int maxVal) {
      throw new NotSupportedException();
    }

    public double NextDouble() {
      return value;
    }
  }
}
